<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_AmanoToshimichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Amano, Toshimichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_AmanoToshimichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Amano, Toshimichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Director (Audit Committee Member)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Director (Audit Committee Member) [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Director (Audit Committee Member)(outside directors)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Director (Audit Committee Member)(outside directors [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Directors excluding Audit Committee Members</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Directors excluding Audit Committee Members [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Directors excluding Audit Committee Members(outsid directors)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Directors excluding Audit Committee Members(outsid directors) [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates_label" xlink:role="http://www.xbrl.org/2003/role/label">Effect of changes in applicable tax rates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Effect of changes in applicable tax rates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Imao, Yoshitada</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Imao, Yoshitada [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_KatoIsaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kato, Isao</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_KatoIsaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kato, Isao [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_MuraseMomokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Murase, Momoko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_MuraseMomokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Murase, Momoko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Payrolls and bonuses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Payrolls and bonuses-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_SibataKazunoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sibata, Kazunori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_SibataKazunoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sibata, Kazunori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sugiyama, Masaki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sugiyama, Masaki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sugiyama, Takasige</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sugiyama, Takasige [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Tomozoe, Masanao</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Tomozoe, Masanao [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yahara, Yoshihiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yahara, Yoshihiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_YamadaYuichiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yamada, Yuichiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E38898-000_YamadaYuichiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yamada, Yuichiro [member]</link:label>
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_AmanoToshimichiMember" xlink:label="jpcrp030000-asr_E38898-000_AmanoToshimichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember" xlink:label="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember" xlink:label="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember" xlink:label="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember" xlink:label="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates" xlink:label="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_ImaoYoshitadaMember" xlink:label="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_KatoIsaoMember" xlink:label="jpcrp030000-asr_E38898-000_KatoIsaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_MuraseMomokoMember" xlink:label="jpcrp030000-asr_E38898-000_MuraseMomokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA" xlink:label="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_SibataKazunoriMember" xlink:label="jpcrp030000-asr_E38898-000_SibataKazunoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_SugiyamaMasakiMember" xlink:label="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember" xlink:label="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_TomozoeMasanaoMember" xlink:label="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_YaharaYoshihikoMember" xlink:label="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E38898-000_2025-06-30_01_2025-09-25.xsd#jpcrp030000-asr_E38898-000_YamadaYuichiroMember" xlink:label="jpcrp030000-asr_E38898-000_YamadaYuichiroMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_AmanoToshimichiMember" xlink:to="jpcrp030000-asr_E38898-000_AmanoToshimichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_AmanoToshimichiMember" xlink:to="jpcrp030000-asr_E38898-000_AmanoToshimichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorAuditCommitteeMemberOutsideDirectorsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember" xlink:to="jpcrp030000-asr_E38898-000_DirectorsExcludingAuditCommitteeMembersOutsidDirectorsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates" xlink:to="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates" xlink:to="jpcrp030000-asr_E38898-000_EffectOfChangesInApplicableTaxRates_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember" xlink:to="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember" xlink:to="jpcrp030000-asr_E38898-000_ImaoYoshitadaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_KatoIsaoMember" xlink:to="jpcrp030000-asr_E38898-000_KatoIsaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_KatoIsaoMember" xlink:to="jpcrp030000-asr_E38898-000_KatoIsaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_MuraseMomokoMember" xlink:to="jpcrp030000-asr_E38898-000_MuraseMomokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_MuraseMomokoMember" xlink:to="jpcrp030000-asr_E38898-000_MuraseMomokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA" xlink:to="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA" xlink:to="jpcrp030000-asr_E38898-000_PayrollsAndBonusesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_SibataKazunoriMember" xlink:to="jpcrp030000-asr_E38898-000_SibataKazunoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_SibataKazunoriMember" xlink:to="jpcrp030000-asr_E38898-000_SibataKazunoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember" xlink:to="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember" xlink:to="jpcrp030000-asr_E38898-000_SugiyamaMasakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember" xlink:to="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember" xlink:to="jpcrp030000-asr_E38898-000_SugiyamaTakasigeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember" xlink:to="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember" xlink:to="jpcrp030000-asr_E38898-000_TomozoeMasanaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember" xlink:to="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember" xlink:to="jpcrp030000-asr_E38898-000_YaharaYoshihikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_YamadaYuichiroMember" xlink:to="jpcrp030000-asr_E38898-000_YamadaYuichiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E38898-000_YamadaYuichiroMember" xlink:to="jpcrp030000-asr_E38898-000_YamadaYuichiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>